Name:          libphonenumber
Version:       8.13.5
Release:       1mamba
Summary:       Google's common Java, C++ and JavaScript library for parsing, formatting, and validating international phone numbers
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/google/libphonenumber
Source:        https://github.com/google/libphonenumber.git/v%{version}/libphonenumber-%{version}.tar.bz2
Patch0:        libphonenumber-8.12.47-system-abseil-cpp.patch
Patch1:        libphonenumber-8.13.5-libabseil-cpp-20230125.0.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libabseil-cpp-devel
BuildRequires: libboost-devel
BuildRequires: libgcc
BuildRequires: libicu-devel
BuildRequires: libprotobuf-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libprotobuf-devel >= 21.4
BuildRequires: libabseil-cpp-devel >= 20230125.0

%description
Google's common Java, C++ and JavaScript library for parsing, formatting, and validating international phone numbers.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#%patch0 -p1 -b .system-abseil-cpp
%patch1 -p1

%build
%cmake -d build \
  -DCMAKE_CXX_STANDARD=17 \
  -DUSE_STDMUTEX=ON \
  ../cpp

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgeocoding.so.*
%{_libdir}/libphonenumber.so.*
%doc AUTHORS LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/phonenumbers
%dir %{_includedir}/phonenumbers/base
%{_includedir}/phonenumbers/*
%{_libdir}/libgeocoding.a
%{_libdir}/libgeocoding.so
%{_libdir}/libphonenumber.a
%{_libdir}/libphonenumber.so
%dir %{_libdir}/cmake/libphonenumber
%{_libdir}/cmake/libphonenumber/libphonenumber*.cmake
%doc README.md

%changelog
* Wed Feb 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 8.13.5-1mamba
- update to 8.13.5

* Wed Jan 11 2023 Automatic Build System <autodist@mambasoft.it> 8.13.4-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 8.13.3-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 8.13.2-1mamba
- automatic version update by autodist

* Thu Nov 03 2022 Automatic Build System <autodist@mambasoft.it> 8.13.0-1mamba
- automatic version update by autodist

* Sun Oct 16 2022 Automatic Build System <autodist@mambasoft.it> 8.12.57-1mamba
- automatic version update by autodist

* Sat Sep 24 2022 Automatic Build System <autodist@mambasoft.it> 8.12.56-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 8.12.55-1mamba
- automatic version update by autodist

* Sun Aug 21 2022 Automatic Build System <autodist@mambasoft.it> 8.12.54-1mamba
- automatic version update by autodist

* Sun Aug 14 2022 Automatic Build System <autodist@mambasoft.it> 8.12.53-1mamba
- automatic version update by autodist

* Sat Aug 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.52-2mamba
- rebuilt with protobuf 21.4

* Sat Jul 23 2022 Automatic Build System <autodist@mambasoft.it> 8.12.52-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 8.12.51-1mamba
- automatic version update by autodist

* Mon Jun 13 2022 Automatic Build System <autodist@mambasoft.it> 8.12.50-1mamba
- automatic version update by autodist

* Fri May 27 2022 Automatic Build System <autodist@mambasoft.it> 8.12.49-1mamba
- automatic version update by autodist

* Sun May 15 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.48-2mamba
- rebuilt with libprotobuf 3.20.1

* Sat May 07 2022 Automatic Build System <autodist@mambasoft.it> 8.12.48-1mamba
- automatic version update by autodist

* Thu May 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.47-2mamba
- patched to build using system libabseil-cpp

* Sun Apr 24 2022 Automatic Build System <autodist@mambasoft.it> 8.12.47-1mamba
- automatic version update by autodist

* Sat Apr 02 2022 Automatic Build System <autodist@mambasoft.it> 8.12.46-1mamba
- automatic version update by autodist

* Thu Mar 24 2022 Automatic Build System <autodist@mambasoft.it> 8.12.45-1mamba
- automatic version update by autodist

* Sat Feb 26 2022 Automatic Build System <autodist@mambasoft.it> 8.12.44-1mamba
- automatic version update by autodist

* Thu Feb 17 2022 Automatic Build System <autodist@mambasoft.it> 8.12.43-1mamba
- automatic version update by autodist

* Mon Jan 31 2022 Automatic Build System <autodist@mambasoft.it> 8.12.42-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 8.12.41-1mamba
- automatic version update by autodist

* Tue Dec 28 2021 Automatic Build System <autodist@mambasoft.it> 8.12.40-1mamba
- automatic version update by autodist

* Wed Dec 08 2021 Automatic Build System <autodist@mambasoft.it> 8.12.39-1mamba
- automatic version update by autodist

* Wed Dec 01 2021 Automatic Build System <autodist@mambasoft.it> 8.12.38-1mamba
- automatic version update by autodist

* Fri Nov 12 2021 Automatic Build System <autodist@mambasoft.it> 8.12.37-1mamba
- automatic version update by autodist

* Fri Oct 29 2021 Automatic Build System <autodist@mambasoft.it> 8.12.36-1mamba
- automatic version update by autodist

* Thu Oct 14 2021 Automatic Build System <autodist@mambasoft.it> 8.12.35-1mamba
- automatic version update by autodist

* Sat Oct 09 2021 Automatic Build System <autodist@mambasoft.it> 8.12.34-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 8.12.33-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 8.12.32-1mamba
- automatic version update by autodist

* Thu Aug 26 2021 Automatic Build System <autodist@mambasoft.it> 8.12.31-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 8.12.30-1mamba
- automatic version update by autodist

* Wed Aug 11 2021 Automatic Build System <autodist@mambasoft.it> 8.12.29-1mamba
- automatic version update by autodist

* Fri Jul 23 2021 Automatic Build System <autodist@mambasoft.it> 8.12.28-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 8.12.27-1mamba
- automatic version update by autodist

* Sat Jun 26 2021 Automatic Build System <autodist@mambasoft.it> 8.12.26-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 8.12.25-1mamba
- automatic version update by autodist

* Sat May 29 2021 Automatic Build System <autodist@mambasoft.it> 8.12.24-1mamba
- automatic version update by autodist

* Sat May 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.23-1mamba
- update to 8.12.23

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 8.12.22-1mamba
- automatic version update by autodist

* Thu Apr 08 2021 Automatic Build System <autodist@mambasoft.it> 8.12.21-1mamba
- automatic version update by autodist

* Fri Mar 19 2021 Automatic Build System <autodist@mambasoft.it> 8.12.20-1mamba
- automatic version update by autodist

* Wed Mar 17 2021 Automatic Build System <autodist@mambasoft.it> 8.12.19-1mamba
- automatic version update by autodist

* Wed Feb 10 2021 Automatic Build System <autodist@mambasoft.it> 8.12.18-1mamba
- automatic version update by autodist

* Sun Feb 07 2021 Automatic Build System <autodist@mambasoft.it> 8.12.17-1mamba
- automatic version update by autodist

* Wed Dec 09 2020 Automatic Build System <autodist@mambasoft.it> 8.12.14-1mamba
- automatic version update by autodist

* Sun Sep 27 2020 Automatic Build System <autodist@mambasoft.it> 8.12.9-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.8-1mamba
- update to 8.12.8

* Sun Jul 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.7-1mamba
- update to 8.12.7

* Sat Jun 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.12.5-1mamba
- update to 8.12.5

* Tue Jun 02 2020 Automatic Build System <autodist@mambasoft.it> 8.12.3-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 8.11.5-1mamba
- automatic version update by autodist

* Sat Jan 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 8.11.1-1mamba
- package created using the webbuild interface
